Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::BspLevel::BspVertex Struct Reference

Vertex format for fixed geometry. More...

`#include <OgreBspLevel.h>`

List of all members.

## Public Attributes

Real | position [3]
Real | normal [3]
int | colour
Real | texcoords [2]
Real | lightmap [2]

## Detailed Description

Vertex format for fixed geometry.

Note that in this case vertex components (position, normal, texture coords etc) are held interleaved in the same buffer. However, the format here is different from the format used by Quake because older Direct3d drivers like the vertex elements to be in a particular order within the buffer. See VertexDeclaration for full details of this marvellous(not) feature.

Definition at line 109 of file OgreBspLevel.h.

## Member Data Documentation

int Ogre::BspLevel::BspVertex::colour

| Definition at line 113 of file OgreBspLevel.h. Referenced by Ogre::BspLevel::quakeVertexToBspVertex().

Real Ogre::BspLevel::BspVertex::lightmap[2]

| Definition at line 115 of file OgreBspLevel.h. Referenced by Ogre::BspLevel::quakeVertexToBspVertex().

Real Ogre::BspLevel::BspVertex::normal[3]

| Definition at line 112 of file OgreBspLevel.h. Referenced by Ogre::BspLevel::quakeVertexToBspVertex().

Real Ogre::BspLevel::BspVertex::position[3]

| Definition at line 111 of file OgreBspLevel.h. Referenced by Ogre::BspLevel::quakeVertexToBspVertex().

Real Ogre::BspLevel::BspVertex::texcoords[2]

| Definition at line 114 of file OgreBspLevel.h. Referenced by Ogre::BspLevel::quakeVertexToBspVertex().

The documentation for this struct was generated from the following file:

- OgreBspLevel.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:09 2004